<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
	  <OutputType>Exe</OutputType>
	  <TargetFramework>net7.0-windows</TargetFramework>
	  <UseWPF>true</UseWPF>
	  <UseWindowsForms>true</UseWindowsForms>
	  <Product>Remote Control</Product>
	  <AssemblyName>remote</AssemblyName>
	  <AssemblyVersion>2023.12.14.0</AssemblyVersion>
	  <RootNamespace>Insight.Remote.Windows</RootNamespace>
      <ImplicitUsings>enable</ImplicitUsings>
      <Nullable>enable</Nullable>
      <AllowUnsafeBlocks>True</AllowUnsafeBlocks>
  </PropertyGroup>

  <ItemGroup>
	  <PackageReference Include="Microsoft.Extensions.Hosting.WindowsServices" Version="7.0.1" />
	  <PackageReference Include="NAudio.Wasapi" Version="2.2.1" />
	  <PackageReference Include="SharpDX.Direct3D11" Version="4.2.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Core\Insight.Domain\Insight.Domain.csproj" />
    <ProjectReference Include="..\Insight.Remote.Shared\Insight.Remote.Shared.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Page Update="Resources\Styles.xaml">
      <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
    </Page>
    <Page Update="Views\MainWindow.xaml">
      <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
    </Page>
  </ItemGroup>

</Project>
